summaryrefslogtreecommitdiff
path: root/anykernel.sh
diff options
context:
space:
mode:
authorosm0sis <osm0sis@outlook.com>2015-12-23 13:19:32 -0400
committerosm0sis <osm0sis@outlook.com>2015-12-23 13:19:32 -0400
commitbd4ba60cc55183ffcca6f035ab0e1c959f615e49 (patch)
treecb417f2412db918fb453f2dd1edc521e0c349ab4 /anykernel.sh
parentaf7a85316b74e6420f64c75f9ea622c6c98cee20 (diff)
AnyKernel2: custom user script support, fixes
- fix copy of any subdirectories under modules/ - adjust display of modules installation text to match the others - add support for custom user scripts (at /data/custom_boot_image_patch.sh - same as latest SuperSU zips) to automatically execute before reflashing the rebuilt boot image for bump, loki etc. modifications
Diffstat (limited to 'anykernel.sh')
-rwxr-xr-xanykernel.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/anykernel.sh b/anykernel.sh
index 47be448..c389958 100755
--- a/anykernel.sh
+++ b/anykernel.sh
@@ -89,6 +89,12 @@ write_boot() {
elif [ `wc -c < /tmp/anykernel/boot-new.img` -gt `wc -c < /tmp/anykernel/boot.img` ]; then
ui_print " "; ui_print "New image larger than boot partition. Aborting..."; exit 1;
fi;
+ if [ -f "/data/custom_boot_image_patch.sh" ]; then
+ sh /data/custom_boot_image_patch.sh /tmp/anykernel/boot-new.img;
+ if [ $? != 0 ]; then
+ ui_print " "; ui_print "User script execution failed. Aborting..."; exit 1;
+ fi;
+ fi;
dd if=/tmp/anykernel/boot-new.img of=$block;
}